Skip to main content
GET
/
api
/
v1
/
feed_runs
Get a list of feed runs
curl --request GET \
  --url https://fulfillment.noyo.com/api/v1/feed_runs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://fulfillment.noyo.com/api/v1/feed_runs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://fulfillment.noyo.com/api/v1/feed_runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "offset": 0,
    "page_num": 1,
    "page_size": 20,
    "total_records": 1
  },
  "response": [
    {
      "carrier_id": "95ce77a6-30fd-4bd9-af10-8d3a1744ac2e",
      "completed": 1693229599,
      "created": 1693229402,
      "details": {
        "file": {
          "audit": {
            "count": {
              "dependents": 25,
              "enrollments": 200,
              "members": 100,
              "primaries": 75,
              "terminations": 0
            }
          },
          "name": "test.txt"
        },
        "transmission": {
          "id": "55504298-11d6-4933-924b-de69b6c40ba7",
          "sent_timestamp": 1693229505
        }
      },
      "feed_id": "0b30d7fe-ab78-4b2f-b714-36e8a9625481",
      "group_ids": [
        "5546d578-1952-4e73-8475-f3436d4d085b",
        "8efdfb13-0c30-4416-9094-a364b943631f"
      ],
      "id": "9e51951a-663d-4b57-bfca-71cc01a7ace7",
      "initiated": 1693229402,
      "modified": 1693229599,
      "status": "completed",
      "version": "30c02a09-3713-4b32-a12c-55d33adf748f"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

feed_id
string<uuid>

Unique identifier of the feed

carrier_id
string<uuid>

Unique identifier of the carrier

group_id
string<uuid>

Unique identifier of the group

latest
boolean

Return only the most recent feed run

page_size
integer

The max size of each page of results

offset
integer

The integer offset at which to start the page. Possible values are 0 to total_records - 1

Response

200 - application/json

Successful Response - Returns all matching feed runs

meta
object
required

Metadata associated with the response data

response
object[]